Update Vc Metrics Config

Update Vc Metrics Config

Updates the metrics collection configuration for a specific vCenter Server.

This endpoint allows you to control which metrics are collected from the vCenter by:

  • Enable/Disable metrics collection profiles (STANDARD or VERBOSE).
  • Managing ESXi Top metrics collection by adding or removing specific ESXi host MOIDs.
Request
URI
PUT
https://{api_host}/api/v1/vcenters/{vcId}/metrics_config
COPY
Path Parameters
string
vcId
Required

UUID of the VC.


Request Body
VcMetricsConfigRequestBody of type(s) application/json
Required
{
    "standard": false,
    "verbose": false,
    "esxTopHostMoids": [
        {
            "moid": "host-1",
            "operation": "ADD"
        }
    ]
}
boolean
standard
Optional

Enable/disable VC standard metrics.

boolean
verbose
Optional

Enable/disable VC verbose metrics.

array of object
esxTopHostMoids
Optional

esxTopHostMoids

Authentication
This operation uses the following authentication methods.
Responses
200

OK.

Operation doesn't return any data structure

400

Bad request.

Operation doesn't return any data structure

401

Unauthorized.

Operation doesn't return any data structure

403

Forbidden.

Operation doesn't return any data structure

503

Service Unavailable.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/v1/vcenters/{vcId}/metrics_config